package eu.ztsh.wymiana.data.entity;

import jakarta.persistence.CascadeType;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.OneToMany;
import jakarta.persistence.Table;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name = "user")
public class UserEntity {

    @Id
    String pesel;
    String name;
    String surname;

    @OneToMany(cascade = CascadeType.ALL, mappedBy = "pesel")
    List<CurrencyEntity> currencies;

}
