package eu.ztsh.wymiana.validation;

import jakarta.validation.Validation;
import jakarta.validation.ValidatorFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class InstanceValidatorFactory {

    @Bean
    public InstanceValidator instanceValidator() {
        try (ValidatorFactory factory = Validation.buildDefaultValidatorFactory()) {
            return new InstanceValidator(factory.getValidator());
        }
    }

}
